Increment item's value

- « Memcache::getVersion

- Memcache::pconnect »

- PHP Manual
- Memcache
- Increment item's value

# Memcache::increment

# memcache_increment

(PECL memcache >= 0.2.0)

Memcache::increment -- memcache_increment — Increment item's value

### Description

Memcache::increment(string `$key`, int `$value` = 1): int|false
memcache_increment(Memcache `$memcache`, string `$key`, int `$value` = 1): int|false

Memcache::increment() increments value of an item by the specified `value`. If item specified by `key` was not numeric and cannot be converted to a number, it will change its value to `value`. Memcache::increment() does not create an item if it doesn't already exist.

> Note:

> Do not use Memcache::increment() with items that have been stored compressed because subsequent calls to Memcache::get() will fail.

### Parameters

`key`

  Key of the item to increment.

`value`

  Increment the item by `value`.

### Return Values

Returns new items value on success or `false` on failure.

### Examples

Example #1 Memcache::increment() example

    <?php

    /* procedural API */
    $memcache_obj = memcache_connect('memcache_host', 11211);
    /* increment counter by 2 */
    $current_value = memcache_increment($memcache_obj, 'counter', 2);

    /* OO API */
    $memcache_obj = new Memcache;
    $memcache_obj->connect('memcache_host', 11211);
    /* increment counter by 3 */
    $current_value = $memcache_obj->increment('counter', 3);

    ?>

### See Also

- Memcache::decrement() - Decrement item's value
- Memcache::replace() - Replace value of the existing item